Package org.apache.wiki.htmltowiki

## Class XHtmlElementToWikiTranslator.ElementDecoratorData

- java.lang.Object
- - org.apache.wiki.htmltowiki.XHtmlElementToWikiTranslator.ElementDecoratorData

Enclosing class:
  XHtmlElementToWikiTranslator

    public static class XHtmlElementToWikiTranslator.ElementDecoratorData
    extends java.lang.Object

Simple data placeholder class to move decoration state between plain text syntax translation related classes.

### Field Summary

Fields
`org.jdom2.Element` `base`
`boolean` `bold`
`java.lang.String` `cssClass`
`java.lang.String` `cssSpecial`
`java.lang.String` `htmlBase`
`boolean` `ignoredCssClass`
`boolean` `italic`
`boolean` `monospace`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### base

    public org.jdom2.Element base

#### htmlBase

    public java.lang.String htmlBase

#### cssClass

    public java.lang.String cssClass

#### cssSpecial

    public java.lang.String cssSpecial

#### monospace

    public boolean monospace

#### bold

    public boolean bold

#### italic

    public boolean italic

#### ignoredCssClass

    public boolean ignoredCssClass